***

title: list_versions
slug: /reference/python/rest/fabric/call-flows/list-versions
description: List all versions of a call flow.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

List all versions of a call flow resource.

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/call_flow/{id}/versions" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/call_flow/{id}/versions" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

response = client.fabric.call_flows.list_versions("call-flow-id")
for version in response.get("data", []):
    print(f"Version {version['version']}: {version['id']}")
```